Scientific Linux Security Update : kernel on SL5.x i386/x86_64

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

CVE-2007-4567 kernel: ipv6_hop_jumbo remote system crash

CVE-2009-4537 kernel: r8169 issue reported at 26c3

CVE-2009-4538 kernel: e1000e frame fragment issue

CVE-2009-4536 kernel: e1000 issue reported at 26c3

This update fixes the following security issues :

- a flaw was found in the IPv6 Extension Header (EH)
handling implementation in the Linux kernel. The
skb->dst data structure was not properly validated in
the ipv6_hop_jumbo() function. This could possibly lead
to a remote denial of service. (CVE-2007-4567,
Important)

- a flaw was found in each of the following Intel PRO/1000
Linux drivers in the Linux kernel: e1000 and e1000e. A
remote attacker using packets larger than the MTU could
bypass the existing fragment check, resulting in
partial, invalid frames being passed to the network
stack. These flaws could also possibly be used to
trigger a remote denial of service. (CVE-2009-4536,
CVE-2009-4538, Important)

- a flaw was found in the Realtek r8169 Ethernet driver in
the Linux kernel. Receiving overly-long frames with
network cards supported by this driver could possibly
result in a remote denial of service. (CVE-2009-4537,
Important)

The system must be rebooted for this update to take effect.

Note1: Due to the fuse kernel module now being part of the kernel, we
are updating fuse on the older releases to match the fuse that was
released by The Upstream Vendor.

Note2: xfs is now part of the kernel in x86_64. Because of this there
is no kernel-module-xfs for x86_64.

Note3: ipw3945 support has been changed to iwlwifi3945 in SL 54, and
is in the kernel. Because of this there is no kernel-module-ipw3945
for SL54.

Note4: Support for the Atheros chipset in now in the kernel. We are
not sure if the infrastructure is in place for SL 50-53, so we are
still providing the madwifi kernel modules for SL 50-53.

See also :

http://www.nessus.org/u?b9416b79

Solution :

Update the affected packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 60717 ()

Bugtraq ID:

CVE ID: CVE-2007-4567
CVE-2009-4536
CVE-2009-4537
CVE-2009-4538